using System;
using PSO2SERVER.Models;
using PSO2SERVER.Protocol.Packets;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x1C, 0x46)]
    public class _1C_46_UNK : PacketHandler
    {
        //PACKED
        public struct _1C_46_PACKET
        {
            public uint unk1 {  get; set; }
            public uint unk2 { get; set; }
            public uint unk3 { get; set; }
        }

        _1C_46_PACKET pkt = new _1C_46_PACKET();

        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            var info = string.Format("[<--] 接收到的数据 (hex): {0} 字节", data.Length);
            Logger.WriteHex(info, data);

            var reader = new PacketReader(data, position, size);
            pkt = reader.ReadStruct<_1C_46_PACKET>();
        }
    }
}
